Subject: Re: linux-next: Signed-off-by missing for commit in the mediatek tree

From: Krzysztof Kozlowski <[email-masked]>
Date: Tue, 26 Apr 2022 10:52:04 +0200

On 26/04/2022 10:48, Matthias Brugger wrote:
> Hi Stephen,
> 
> On 26/04/2022 00:07, Stephen Rothwell wrote:
>> Hi all,
>>
>> Commits
>>
>>    775ef8aaa66e ("arm64: dts: mediatek: align thermal zone node names with dtschema")
>>    c8b8db1a173d ("arm64: dts: mediatek: align operating-points table name with dtschema")
>>    c01d9aa630b8 ("arm64: dts: mediatek: mt8183: align Google CROS EC PWM node name with dtschema")
>>    75a3c81bc634 ("arm64: dts: hisilicon: align 'freq-table-hz' with dtschema in UFS")
>>
>> are missing a Signed-off-by from their committer.
>>
> 
> These patches are taken by Krysztof and merge into my tree via a tag [1] to 
> avoid any conflicts. Please let me know if there is anything I need to do to fix 
> this problem.

Hi Matthias,

Before you merged my branch, which was fine, but later you rebased all
this thus making yourself committer. Commits pulled from other trees
should in general not be rebased, because it creates duplicates - there
are ones in my tree, and separate in yours.

Additionally, such rebase changes the author, so you need your SoB.

Since you already rebased it, I propose you add your own SoB to Mediatek
patches and drop the one hisilicon (75a3c81bc634). I will do the reverse
- drop Mediatek and keep hisilicon.

Best regards,
Krzysztof